Anope IRC Services

Please login or register.

Login with username, password and session length
Advanced search  

News:

Pages: [1]   Go Down

Author Topic: Upgrade problem  (Read 4955 times)

0 Members and 1 Guest are viewing this topic.

Andrey

  • Anope User
  • Offline Offline
  • Gender: Male
  • Posts: 65
    • RedeNorte
Upgrade problem
« on: September 27, 2008, 05:58:46 AM »

i'm using inspircd 1.1.22 and anope 1.7.21, i try upgrade for .22, i make new instalation, but services start only with new database, if i put my old .21 .db, services get this error

[Sep 27 01:45:48 2008] Loading IRCD Protocol Module: [inspircd11]
[Sep 27 01:45:48 2008] status:
  • [Module, Okay - No Error]
[Sep 27 01:45:48 2008] Loading Encryption Module: [enc_none]
[Sep 27 01:45:48 2008] status:
  • [Module, Okay - No Error]
[Sep 27 01:45:48 2008] Anope 1.7.22 (1440) (ircd protocol: inspircdIRCd 1.1) starting up
[Sep 27 01:45:49 2008] ms_rsend requested unload...
[Sep 27 01:45:49 2008] debug: trying to load core module [ms_rsend]
[Sep 27 01:45:49 2008] debug: status: [6][Module Error, Error during load time or module returned MOD_STOP]
[Sep 27 01:45:49 2008] os_umode requested unload...
[Sep 27 01:45:49 2008] debug: trying to load core module [os_umode]
[Sep 27 01:45:49 2008] debug: status: [6][Module Error, Error during load time or module returned MOD_STOP]
[Sep 27 01:45:49 2008] MySQL: has been enabled.
[Sep 27 01:45:49 2008] MySQL: client version 5.0.32.
[Sep 27 01:45:49 2008] Databases loaded
[Sep 27 01:45:49 2008] Info: Reflecting database records.
[Sep 27 01:45:49 2008] Backtrace: Segmentation fault detected
[Sep 27 01:45:49 2008] Backtrace: report the following lines
[Sep 27 01:45:49 2008] Backtrace: Anope version 1.7.22 (1440) build #1, compiled Sep 26 2008 16:21:52  QM
[Sep 27 01:45:49 2008] Backtrace(0): ./services(do_backtrace+0x55) [0x8071f75]
[Sep 27 01:45:49 2008] Backtrace(1): ./services(sighandler+0x124) [0x8072c94]
[Sep 27 01:45:49 2008] Backtrace(2): /lib/tls/libc.so.6 [0x3939e8]
[Sep 27 01:45:49 2008] Backtrace(3): ./services(db_mysql_save_ns_core+0x64) [0x808eee4]
[Sep 27 01:45:49 2008] Backtrace(4): ./services(save_ns_rdb_dbase+0xbf) [0x807e1cf]
[Sep 27 01:45:49 2008] Backtrace(5): ./services(save_databases+0xf3) [0x8072303]
[Sep 27 01:45:49 2008] Backtrace(6): ./services(init_secondary+0x4dd) [0x806cfad]
[Sep 27 01:45:49 2008] Backtrace(7): ./services(main+0x197) [0x80727e7]
[Sep 27 01:45:49 2008] Backtrace(8): /lib/tls/libc.so.6(__libc_start_main+0xc8) [0x37fea8]
[Sep 27 01:45:49 2008] Backtrace(9): ./services [0x8055a41]
[Sep 27 01:45:49 2008] Backtrace: complete
[Sep 27 01:45:49 2008] Services terminating: Segmentation fault


i use same options in services.conf and same mysql database, whats my error?
Logged

Andrey

  • Anope User
  • Offline Offline
  • Gender: Male
  • Posts: 65
    • RedeNorte
Re: Upgrade problem
« Reply #1 on: September 27, 2008, 08:29:26 PM »

 ???
Logged

Charles Kingsley

  • Contributor
  • *
  • Offline Offline
  • Posts: 1405
Re: Upgrade problem
« Reply #2 on: September 27, 2008, 08:33:03 PM »

I've this evening advised a user to upgrade to the latest SVN .22 release to try and resolve their issue with MySQL. It worked.

On your shell issue:

Quote
svn co svn://svn.anope.org/anope/trunk trunk

Build from this and see if your issue is rectified.
Logged

Andrey

  • Anope User
  • Offline Offline
  • Gender: Male
  • Posts: 65
    • RedeNorte
Re: Upgrade problem
« Reply #3 on: September 27, 2008, 11:44:52 PM »

its start now, i lost 2 modules, ns_ajoin and ns_regcode, dont run in .22 svn, i'm checking stability of .22
Logged

Andrey

  • Anope User
  • Offline Offline
  • Gender: Male
  • Posts: 65
    • RedeNorte
Re: Upgrade problem
« Reply #4 on: September 27, 2008, 11:54:34 PM »

i get same .21 crash bug in .22 ;/
Logged

Charles Kingsley

  • Contributor
  • *
  • Offline Offline
  • Posts: 1405
Re: Upgrade problem
« Reply #5 on: September 28, 2008, 07:29:00 AM »

Like I said in my last post, try svn.
Logged

Jan Milants

  • Team
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 1372
Re: Upgrade problem
« Reply #6 on: September 28, 2008, 11:42:39 AM »

its start now, i lost 2 modules, ns_ajoin and ns_regcode, dont run in .22 svn, i'm checking stability of .22
those 2 don't work in .22 either.. so no point in not trying SVN
Logged
If you like me donate coins to 1FBmZVT4J8WAUMHKqpWhgNVj3XXnRN1cCk :)

Charles Kingsley

  • Contributor
  • *
  • Offline Offline
  • Posts: 1405
Re: Upgrade problem
« Reply #7 on: September 28, 2008, 04:04:02 PM »

Viper,

I was talking about his problem not the modules so the comment to try SVN stands.
Logged
Pages: [1]   Go Up